
jQuery(document).ready(function() {

	var date_exp_cal = new Date();
	date_exp_cal.setTime(date_exp_cal.getTime()+(30*24*3600*1000)); // 30 jours

	

    $('#calendrier_property #calendrier').jcarousel({
        // Configuration goes here
		
    });
	
	if (getcookie("calresa") != "")
	{
		identifiantcal = getcookie("calresa").split("-") ;
		
		touslesmois = $('ul#calendrier_dispo').children("li") ;
		
		var indicecalcal = 0 ;
		touslesmois.each(function( index ) {

			if (touslesmois.eq(index).attr("id")==getcookie("calresa"))
			{
				//console.log(indicecalcal) ;
				$('#calendrier_property #calendrier').jcarousel('scroll', indicecalcal);
				return false ;
			}	
			indicecalcal++ ;
		});
		
	}	
	
	
	$('#calendrier_property #prev').bind('click', function() {
		$('#calendrier_property #calendrier').jcarousel('scroll', '-=1');
		
		setcookie("calresa",$('#calendrier_property #calendrier').jcarousel('first').attr("id"),date_exp_cal); 
		
	});
	
	$('#calendrier_property #next').bind('click', function() {
		$('#calendrier_property #calendrier').jcarousel('scroll', '+=1');
		
		setcookie("calresa",$('#calendrier_property #calendrier').jcarousel('first').attr("id"),date_exp_cal); 
		
	});
});


function focus_calendrier(month)
{
	var id = 'cal-'+month.replace('-0','-');
	var pos = -1;
	var collec = $('#calendrier_property #calendrier li.mois');
	for (var i=0; i<collec.length; i++)
	{
		if (collec.eq(i).attr('id')!=id) continue;
		pos = i;
		break;
	}
	if (pos>=0) $('#calendrier_property #calendrier').jcarousel('scroll', pos);
}

